GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_chttp2_data_parser Struct Reference

`#include <frame_data.h>`

## Data Fields
grpc_chttp2_stream_state | state
gpr_uint8 | is_last_frame
gpr_uint8 | frame_type
gpr_uint32 | frame_size
int | is_frame_compressed
grpc_stream_op_buffer | incoming_sopb

## Field Documentation

gpr_uint32 grpc_chttp2_data_parser::frame_size

gpr_uint8 grpc_chttp2_data_parser::frame_type

grpc_stream_op_buffer grpc_chttp2_data_parser::incoming_sopb

int grpc_chttp2_data_parser::is_frame_compressed

gpr_uint8 grpc_chttp2_data_parser::is_last_frame

grpc_chttp2_stream_state grpc_chttp2_data_parser::state

The documentation for this struct was generated from the following file:

- src/core/transport/chttp2/frame_data.h